# Bugpilot API docs

## Bugpilot Docs

- [Welcome!](https://bugpilot.gitbook.io/api-docs/welcome.md): This page will help you get started using the Bugpilot HTTP API.
- [Authentication](https://bugpilot.gitbook.io/api-docs/http-api/authentication.md): This page describes the Authentication options for making HTTP API Requests
- [API Reference](https://bugpilot.gitbook.io/api-docs/http-api/api-reference.md)
- [Actions](https://bugpilot.gitbook.io/api-docs/http-api/api-reference/actions.md): The Actions endpoint allows you to request Bugpilot reports from your end users.
- [Update Report](https://bugpilot.gitbook.io/api-docs/http-api/api-reference/update-report.md): With the Report endpoints you can get and update some information about bug reports.
- [Session Info](https://bugpilot.gitbook.io/api-docs/http-api/api-reference/session-info.md)
- [Getting Started](https://bugpilot.gitbook.io/api-docs/sdk-js/getting-started.md): This page helps you understand what's the SDK for and how to start generating bug reports with it.
- [Saving Bug Reports](https://bugpilot.gitbook.io/api-docs/sdk-js/getting-started/saving-bug-reports.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://bugpilot.gitbook.io/api-docs/welcome.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
